=== interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( tdetexteditor )
add_subdirectory( tdescript )
add_subdirectory( kregexpeditor )
add_subdirectory( tdemediaplayer )
add_subdirectory( tdeio )
add_subdirectory( terminal )
add_subdirectory( khexedit )
add_subdirectory( tdeimproxy )
add_subdirectory( kspeech )
