=== kate/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )
add_subdirectory( part )
add_subdirectory( data )
add_subdirectory( scripts )
add_subdirectory( plugins )
