=== licenses/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    BSD GPL_V2 LGPL_V2 GPL_V3 LGPL_V3 QPL_V1.0 ARTISTIC MIT
  DESTINATION ${DATA_INSTALL_DIR}/LICENSES )
