=== debian/changelog ===
tdelibs-trinity (4:14.1.5-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 13:48:19 +0100
