## tdelibs-trinity 14.1.6~pre2

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a0f72fdc07e7a20ebd2712ce6fcdbb4704a54916
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 02:24:01 +0100
