## tdelibs-trinity 14.1.6~pre3

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for baf4af6da162cdb81564ae27f10448089abf7456
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Dec 2025 02:49:05 +0100
