## tdelibs-trinity 14.1.6~pre4

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 885742791e599c681bc490b5b3244effd1c9f2a8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 01:00:25 +0100
