## tdelibs-trinity 14.1.6~pre7

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre7-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 568c87597681809a97066ce8505cfcae19559489
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:05 +0100
