## tdelibs-trinity 14.1.6~pre9

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3c2c88ea183817b1ef57fe83e6d81497c4580767
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:16:30 +0100
