## tdelibs-trinity 14.1.6~pre11

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre11-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 11327ad2da4128bb7ec04fe5e4fa8a6605b3a0c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:33 +0100
